Bug 668639 - Review Request: google-lato-fonts - A sanserif typeface family
Summary: Review Request: google-lato-fonts - A sanserif typeface family
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-11 01:55 UTC by Mohamed El Morabity
Modified: 2011-01-26 20:59 UTC (History)
3 users (show)

Fixed In Version: google-lato-fonts-1.011-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-26 20:56:32 UTC
Type: ---
pingou: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)

Description Mohamed El Morabity 2011-01-11 01:55:11 UTC
Spec URL: http://melmorabity.fedorapeople.org/packages/google-lato-fonts/google-lato-fonts.spec
SRPM URL: http://melmorabity.fedorapeople.org/packages/google-lato-fonts/google-lato-fonts-1.010-1.fc14.src.rpm
Description:
Lato is a sanserif typeface family designed in the Summer 2010 by Warsaw-based
designer Łukasz Dziedzic ("Lato" means "Summer" in Polish). In December 2010 the
Lato family was published under the open-source Open Font License by his foundry
tyPoland, with support from Google.

rpmlint issues:
  $ rpmlint google-lato-fonts-1.010-1.fc14.src.rpm
  google-lato-fonts.src: W: spelling-error %description -l en_US tyPoland -> typo land, typo-land, typology
  google-lato-fonts.src: W: spelling-error %description -l en_US letterforms -> letter forms, letter forms, letterbombs
  google-lato-fonts.src:14: W: macro-in-comment %{name}
  google-lato-fonts.src:14: W: macro-in-comment %{version}
  google-lato-fonts.src: W: invalid-url Source0: google-lato-fonts-1.010.zip
All these warnings are benign, even the last one: there is no direct URL to retrieve the font archive.

  $ rpmlint google-lato-fonts-1.010-1.fc14.noarch.rpm 
  google-lato-fonts.noarch: W: spelling-error %description -l en_US tyPoland -> typo land, typo-land, typology
  google-lato-fonts.noarch: W: spelling-error %description -l en_US letterforms -> letter forms, letter-forms, letterbombs
  google-lato-fonts.noarch: W: no-documentation

Notes:
Although the font designer has its own foundry (http://www.typoland.com/), he apparently choosed to distribute its work through the Google Font Directory. So I considered Google to be the "foundry" assigned to this package.

Comment 1 Pierre-YvesChibon 2011-01-11 13:39:37 UTC
I'll take it

Comment 2 Mohamed El Morabity 2011-01-11 15:15:40 UTC
I've just updated the fonts:
SPEC: http://melmorabity.fedorapeople.org/packages/google-lato-fonts/google-lato-fonts.spec
SRPM: http://melmorabity.fedorapeople.org/packages/google-lato-fonts/google-lato-fonts-1.011-1.fc14.src.rpm

The fonts are now taken from are in the Google Font Directory hg repo.

Comment 3 Pierre-YvesChibon 2011-01-18 08:48:10 UTC
[OK] rpmlint must be run on every package.
	Errors are spelling-errors and invalid Source0, all can be ignored here

[OK] The package must be named according to the Package Naming Guidelines.
	It follows http://fedoraproject.org/wiki/Packaging:FontsPolicy#Naming

[OK] The spec file name must match the base package %{name}, in the format
      %{name}.spec unless your package has an exemption.

[OK] The package must meet the Packaging Guidelines.
	It respects the information provided on 
	http://fedoraproject.org/wiki/Packaging:FontsPolicy 
	and 
	http://fedoraproject.org/wiki/Simple_fonts_spec_template

[OK] The package must be licensed with a Fedora approved license and meet the
      Licensing Guidelines.

[OK] The License field in the package spec file must match the actual license.
	License is OFL

[OK] If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s) for
     the package must be included in %doc.

[OK] The spec file must be written in American English.

[OK] The spec file for the package MUST be legible.

[N/A] The sources used to build the package must match the upstream source, as
      provided in the spec URL.
	source from the src.rpm: 119833a4e1c682096c8effb6da18e2ef
	I can regenerate this source tarball, but the script made to retrieve them is clean

[OK] The package MUST successfully compile and build into binary rpms on at
     least one primary architecture.
	Built on F14-x86_64

[N/A] If the package does not successfully compile, build or work on an
      architecture, then those architectures should be listed in the spec in
      ExcludeArch.

[OK] All build dependencies must be listed in BuildRequires, except for any
     that are listed in the exceptions section of the Packaging Guidelines ;
     inclusion of those as BuildRequires is optional.

[N/A] The spec file MUST handle locales properly. This is done by using the
      %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[N/A] Every binary RPM package (or subpackage) which stores shared library
      files(not just symlinks) in any of the dynamic linker's default paths, must
      call ldconfig in %post and %postun.

[N/A] Packages must NOT bundle copies of system libraries.

[N/A] If the package is designed to be relocatable, the packager must state
      this fact in the request for review, along with the rationalization for
      relocation of that specific package. Without this, use of Prefix: /usr is
      considered a blocker.

[OK] A package must own all directories that it creates. If it does not create
     a directory that it uses, then it should require a package which does
     create that directory.
	This is taken care of by the macro

[OK] A Fedora package must not list a file more than once in the spec file's
      %files listings. 
	This is taken care of by the macro

[OK] Permissions on files must be set properly. Executables should be set with
     executable permissions, for example. Every %files section must include a
     %defattr(...) line.
	This is taken care of by the macro

[OK] Each package must consistently use macros.

[OK] The package must contain code, or permissable content.

[N/A[ Large documentation files must go in a -doc subpackage.

[OK] If a package includes something as %doc, it must not affect the runtime
     of the application. To summarize: If it is in %doc, the program must run
     properly if it is not present.

[N/A] Header files must be in a -devel package.

[N/A] Static libraries must be in a -static package.

[N/A] If a package contains library files with a suffix (e.g. libfoo.so.1.1),
      then library files that end in .so (without suffix) must go in a -devel
      package.

[N/A] In the vast majority of cases, devel packages must require the base
      package using a fully versioned dependency: Requires: %{name} =
      %{version}-%{release}.

[N/A] Packages must NOT contain any .la libtool archives, these must be removed
      in the spec if they are built.

[N/A] Packages containing GUI applications must include a %{name}.desktop file,
      and that file must be properly installed with desktop-file-install in the
      %install section.

[OK] Packages must not own files or directories already owned by other
      packages.

[OK] All filenames in rpm packages must be valid UTF-8.


So this package is APPROVED.

Comment 4 Mohamed El Morabity 2011-01-18 09:49:42 UTC
Thanks for this review Pierre-Yves :)

Comment 5 Mohamed El Morabity 2011-01-18 09:51:23 UTC
New Package SCM Request
=======================
Package Name: google-lato-fonts
Short Description: A sanserif typeface family
Owners: melmorabity
Branches: f13 f14
InitialCC: fonts-sig

Comment 6 Jason Tibbitts 2011-01-18 14:02:36 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-01-18 15:53:32 UTC
google-lato-fonts-1.011-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/google-lato-fonts-1.011-1.fc14

Comment 8 Fedora Update System 2011-01-18 15:58:52 UTC
google-lato-fonts-1.011-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/google-lato-fonts-1.011-1.fc13

Comment 9 Fedora Update System 2011-01-18 21:32:06 UTC
google-lato-fonts-1.011-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update google-lato-fonts'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/google-lato-fonts-1.011-1.fc14

Comment 10 Fedora Update System 2011-01-26 20:56:27 UTC
google-lato-fonts-1.011-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-01-26 20:59:36 UTC
google-lato-fonts-1.011-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.